summarylogtreecommitdiffstats
path: root/nfs-utils-rdma-client
diff options
context:
space:
mode:
authorJames Harvey2015-08-02 07:53:51 +0000
committerJames Harvey2015-08-02 07:53:51 +0000
commitca076087809a9777c24a3f84f53e640a74662614 (patch)
tree73cb2fc1430d297f9b1e6e16a5134a0cc0f70cd9 /nfs-utils-rdma-client
downloadaur-ca076087809a9777c24a3f84f53e640a74662614.tar.gz
Initial import
Diffstat (limited to 'nfs-utils-rdma-client')
-rwxr-xr-xnfs-utils-rdma-client18
1 files changed, 18 insertions, 0 deletions
diff --git a/nfs-utils-rdma-client b/nfs-utils-rdma-client
new file mode 100755
index 000000000000..50dcd6361b6f
--- /dev/null
+++ b/nfs-utils-rdma-client
@@ -0,0 +1,18 @@
+#!/bin/bash
+# Written by James Harvey <jamespharvey20@gmail.com>
+# Released under GPL2 license
+#
+# Load kernel module for NFS client using RDMA
+#
+# This is usually run automatically by systemd, after rdma.service starts
+#
+
+if [[ $EUID -ne 0 ]]; then
+ echo "nfs-utils-rdma-server must be run as root" 1>&2
+ exit 1
+fi
+
+modprobe xprtrdma
+echo "Attempted loading kernel module xprtrdma."
+
+exit 0